// Price Range Js   

function getVals() {
  // Get slider values
  let parent = this.parentNode;
  let slides = parent.getElementsByTagName("input");
  let slide1 = parseFloat(slides[0].value);
  let slide2 = parseFloat(slides[1].value);
  // Neither slider will clip the other, so make sure we determine which is larger
  if (slide1 > slide2) {
    let tmp = slide2;
    slide2 = slide1;
    slide1 = tmp;
  }

  let displayElement = parent.getElementsByClassName("rangeValues")[0];
  displayElement.innerHTML = "$" + slide1 + " - $" + slide2;
}

 // Sub Menu Js 

document.addEventListener("DOMContentLoaded", function(){
  // make it as accordion for smaller screens
  if (window.innerWidth > 992) {
  
    document.querySelectorAll('.navbar .nav-item').forEach(function(everyitem){
  
      everyitem.addEventListener('mouseover', function(e){
  
        let el_link = this.querySelector('a[data-bs-toggle]');
  
        if(el_link != null){
          let nextEl = el_link.nextElementSibling;
          el_link.classList.add('show');
          nextEl.classList.add('show');
        }
  
      });
      everyitem.addEventListener('mouseleave', function(e){
        let el_link = this.querySelector('a[data-bs-toggle]');
  
        if(el_link != null){
          let nextEl = el_link.nextElementSibling;
          el_link.classList.remove('show');
          nextEl.classList.remove('show');
        }
  
  
      })
    });
  
  }
  // end if innerWidth
  }); 




// Header Scroll Fix

$(document).ready(function () {
  $(window).scroll(function () {

    console.log($(window).scrollTop());

    if ($(window).scrollTop() > 80) {
      $('.header-main').addClass('navbar-fixed-top');
    }

    if ($(window).scrollTop() < 90) {
      $('.header-main').removeClass('navbar-fixed-top');
    }
  });

  // Mobile Menu 
  $(".toggle-button").on('click', function () {
    $(".main-navigation").toggleClass('toggle-menu');
  });

  $(".toggle-button").on('click', function () {
    $("body").toggleClass('disable-scroll');
  });


  // Slick Slider Js   

  $('.responsive').slick({
    dots: false,
    infinite: true,
    speed: 300,
    slidesToShow: 4,
    slidesToScroll: 1,
    responsive: [{
        breakpoint: 1024,
        settings: {
          slidesToShow: 3,
          slidesToScroll: 3,
          infinite: true,
          dots: true
        }
      },
      {
        breakpoint: 600,
        settings: {
          slidesToShow: 2,
          slidesToScroll: 2
        }
      },
      {
        breakpoint: 480,
        settings: {
          slidesToShow: 1,
          slidesToScroll: 1
        }
      }
    ]
  });

  //  Responsive Filter Side Bar Js  

  $(".filter-button").on('click', function () {
    $(".filter-sidebar").addClass('sidebar-open');
  });

  $(".close-button").on('click', function () {
    $(".filter-sidebar").removeClass('sidebar-open');
  });

  window.onload = function () {
    // Initialize Sliders
    let sliderSections = document.getElementsByClassName("range-slider");
    for (let x = 0; x < sliderSections.length; x++) {
      let sliders = sliderSections[x].getElementsByTagName("input");
      for (let y = 0; y < sliders.length; y++) {
        if (sliders[y].type === "range") {
          sliders[y].oninput = getVals;
          // Manually trigger event first time to display values
          sliders[y].oninput();
        }
      }
    }
  }

  // single product slider Slider Js   

  $('.slider-main').slick({
    slidesToShow: 1,
    slidesToScroll: 1,
    arrows: false,
    fade: true,
    asNavFor: '.slider-nav'
  });
  $('.slider-nav').slick({
    slidesToShow: 4,
    slidesToScroll: 1,
    asNavFor: '.slider-main',
    dots: false,
    // centerMode: true,
    focusOnSelect: true,
    arrows: true
  });

  $('.num-in span').click(function () {
    var $input = $(this).parents('.num-block').find('input.in-num');
    if ($(this).hasClass('minus')) {
      var count = parseFloat($input.val()) - 1;
      count = count < 1 ? 1 : count;
      if (count < 2) {
        $(this).addClass('dis');
      } else {
        $(this).removeClass('dis');
      }
      $input.val(count);
    } else {
      var count = parseFloat($input.val()) + 1
      $input.val(count);
      if (count > 1) {
        $(this).parents('.num-block').find(('.minus')).removeClass('dis');
      }
    }

    $input.change();
    return false;
  });


  //Submit form
  $('form').submit(function () {
    $("#thank-you-message").show();
    return false;
  });
});
